> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/india/netbanking.md).

# NetBanking

## Payin by NetBanking

This endpoint allows you to submit a payin by NetBanking in India.

{% hint style="info" %}
NetBanking payins in India support refund. The payment amount supports decimals.
{% endhint %}

{% hint style="info" %}
The supported payment amount range is `1` to `500000` INR.
{% endhint %}

<mark style="color:green;">`POST`</mark> `https://gateway.pagsmile.com/trade/pay`

## Request Body

| Parameter         | Type   | Required | Constraints                               | Description                                                 |
| ----------------- | ------ | -------- | ----------------------------------------- | ----------------------------------------------------------- |
| app\_id           | string | Yes      | -                                         | The merchant application ID assigned by Pagsmile.           |
| timestamp         | string | Yes      | Format: `yyyy-MM-dd HH:mm:ss`             | Request timestamp.                                          |
| method            | string | Yes      | Fixed value: `NetBanking`                 | Payment method.                                             |
| version           | string | Yes      | Fixed value: `2.0`                        | API version.                                                |
| order\_amount     | number | Yes      | Range: `1` to `500000`; supports decimals | Payment amount.                                             |
| order\_currency   | string | Yes      | Fixed value: `INR`                        | Payment currency.                                           |
| out\_trade\_no    | string | Yes      | Must be unique                            | The merchant-side order ID.                                 |
| subject           | string | Yes      | -                                         | Order title or product name.                                |
| notify\_url       | string | No       | Valid URL                                 | The URL used to receive asynchronous payment notifications. |
| return\_url       | string | No       | Valid URL                                 | The URL to redirect the customer after payment.             |
| buyer\_id         | string | No       | -                                         | The unique customer ID in the merchant system.              |
| bank              | string | Yes      | Example: `IDFB`                           | Bank code.                                                  |
| customer.name     | string | Yes      | -                                         | Customer name.                                              |
| customer.email    | string | Yes      | Valid email address                       | Customer email address.                                     |
| customer.phone    | string | Yes      | Valid phone number                        | Customer phone number.                                      |
| address.zip\_code | string | Yes      | -                                         | Customer ZIP code.                                          |

## Request Sample

```json
{
  "app_id": "162************43",
  "timestamp": "2026-06-23 16:56:29",
  "method": "NetBanking",
  "version": "2.0",
  "order_amount": 1.26,
  "order_currency": "INR",
  "out_trade_no": "ou7********375",
  "subject": "subject",
  "notify_url": "http://demo.gemini-tiger.cn/callback/success",
  "return_url": "https://pagsmile.com/",
  "buyer_id": "51175",
  "bank": "IDFB",
  "customer": {
    "name": "test user",
    "email": "test001@example.com",
    "phone": "91********49"
  },
  "address": {
    "zip_code": "303503"
  }
}
```

## Response

```json
{
  "code": "10000",
  "msg": "Success",
  "prepay_id": "VTdx********9ca77",
  "trade_no": "20260********695",
  "out_trade_no": "out_5********75",
  "web_url": "",
  "pay_url": "https://api.razorpay.com/pg_router/v1/payments/T5znFl/authenticate",
  "trade_status": "PROCESSING"
}
```
